use std::process::Child;

pub struct KillOnDrop(Child);

impl Drop for KillOnDrop {
    fn drop(&mut self) {
        self.0.kill().unwrap();
    }
}

pub trait ChildExt {
    fn kill_on_drop(self) -> KillOnDrop;
}

impl ChildExt for Child {
    fn kill_on_drop(self) -> KillOnDrop {
        KillOnDrop(self)
    }
}
